> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Get NucleotideMonomer by ID

GET https://{tenant_name}.benchling.com/api/v3/nucleotide-monomer/{nucleotide_monomer_id}

Get a single NucleotideMonomer by ID.

Reference: https://docs.benchling.com/docs/api/benchling-api/nucleotide-monomer/get

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `nucleotide_monomer_id` (string, required) — ID of the NucleotideMonomer.

### Query parameters

- `returning` (string, optional) — Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
- `omit` (string, optional) — Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

### Headers

- `EARLY-ACCESS` (string, optional) — Set to true to access beta operations via /api/v3.

## Response

### 200

OK

- `__typename` (string, optional)
- `archiveReason` (string, optional, nullable)
- `archived` (boolean, optional)
- `attachmentPoints` (list of string, optional) — A list of the capping group present at each location where the monomer can form a bond with other monomers.
- `calculatedMolecularWeight` (double, optional, nullable) — The molecular weight of the monomer as calculated by RDKit based on the monomer chemical structure.
- `canonicalSmiles` (string, optional) — The SMILES representation of the monomer chemical structure after being standardized.
- `createdAt` (string, optional)
- `customMolecularWeight` (double, optional, nullable) — Optional molecular weight value that the user can provide to override the calculated molecular weight.
- `exactMolecularWeight` (double, optional) — The exact molecular weight of the monomer as calculated by RDKit based on the monomer chemical structure.
- `id` (string, optional)
- `modifiedAt` (string, optional)
- `monomerType` (enum, optional) — The part of the nucleotide structure that the monomer fits into, i.e. backbone or branch.
  - Allowed values: `BACKBONE`, `BRANCH`
- `name` (string, optional)
- `naturalAnalog` (enum, optional) — Natural equivalent of the monomer. For example, a modified ribose would have `r` as the natural analog, which is the symbol for natural ribose.
  - Allowed values: `A`, `C`, `G`, `T`, `U`, `N`, `r`, `d`, `p`, `Y`, `M`, `K`, `W`, `S`, `B`, `H`, `V`
- `originalSmiles` (string, optional, nullable) — The SMILES string that was originally provided upon creation of the monomer.
- `polymerType` (enum, optional) — The polymer type of the monomer, per the HELM definition of polymer type. Because nucleotide monomers are only used in modified nucleotide sequences, the polymer type of a NucleotideMonomer is always `RNA`.
  - Allowed values: `RNA`
- `symbol` (string, optional) — User-defined identifier of the monomer, unique on the monomer type.
- `visualColor` (string, optional, nullable) — The color code of the monomer visual symbol.
- `visualSymbol` (enum, optional, nullable) — The shape of the monomer visual symbol.
  - Allowed values: `DIAMOND_FILLED`, `DIAMOND_HOLLOW`, `DIAMOND_DASHED`, `STAR_FILLED`, `STAR_HOLLOW`, `TRIANGLE_FILLED`, `TRIANGLE_HOLLOW`, `DYAD_FILLED`, `DYAD_HOLLOW`, `CLOVER_FILLED`, `CLOVER_HOLLOW`, `TRIAD_FILLED`, `TRIAD_HOLLOW`, `RECTANGLE_FILLED`, `RECTANGLE_HOLLOW`, `LETTERS_C`, `LETTERS_CO`, `LETTERS_M`, `LETTERS_MP`, `LETTERS_P`, `LETTERS_PS`, `LETTERS_R`, `LETTERS_RS`, `LETTERS_S`, `LETTERS_SP`

## Errors

### 400 Nucleotide Monomer Get Request Bad Request Error

Bad Request

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 403 Nucleotide Monomer Get Request Forbidden Error

Forbidden

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 404 Nucleotide Monomer Get Request Not Found Error

Not Found

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 429 Nucleotide Monomer Get Request Too Many Requests Error

Too Many Requests

- `detail` (TooManyRequestsErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 500 Nucleotide Monomer Get Request Internal Server Error

Internal Server Error

- `detail` (InternalServerErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `errorId` (string, optional)

## Types

### GeneralErrorDetail

### TooManyRequestsErrorBodyDetail

### InternalServerErrorBodyDetail

## Examples

**Response**

```json
{
  "__typename": "__typename",
  "archiveReason": "archiveReason",
  "archived": true,
  "attachmentPoints": [
    "attachmentPoints"
  ],
  "calculatedMolecularWeight": 1.1,
  "canonicalSmiles": "canonicalSmiles",
  "createdAt": "createdAt",
  "customMolecularWeight": 1.1,
  "exactMolecularWeight": 1.1,
  "id": "id",
  "modifiedAt": "modifiedAt",
  "monomerType": "BACKBONE",
  "name": "name",
  "naturalAnalog": "A",
  "originalSmiles": "originalSmiles",
  "polymerType": "RNA",
  "symbol": "symbol",
  "visualColor": "visualColor",
  "visualSymbol": "DIAMOND_FILLED"
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v3/nucleotide-monomer/nucleotide_monomer_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v3/nucleotide-monomer/nucleotide_monomer_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```